| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mft_wfg_intern_data Struct Reference
Waveform Generator (WFG)

`#include <mft_wfg.h>`

## Data Fields
func_ptr_t | pfnWfg10TimerCallback
| Callback function pointer of WFG10 timer interrupt callback.
func_ptr_t | pfnWfg32TimerCallback
| Callback function pointer of WFG32 timer interrupt callback.
func_ptr_t | pfnWfg54TimerCallback
| Callback function pointer of WFG54 timer interrupt callback.
func_ptr_t | pfnWfgAnalogFilterCallback
| Callback function pointer of analog filter interrupt callback.
func_ptr_t | pfnWfgDigtalFilterCallback
| Callback function pointer of analog filter interrupt callback.

## Detailed Description

Definition at line 416 of file mft_wfg.h.

## Field Documentation

func_ptr_t pfnWfg10TimerCallback

Callback function pointer of WFG10 timer interrupt callback.

Definition at line 418 of file mft_wfg.h.

Referenced by Mft_Wfg_ConfigMode(), Mft_Wfg_DisableTimerInt(), Mft_Wfg_EnableTimerInt(), and Mft_Wfg_IrqHandler().

func_ptr_t pfnWfg32TimerCallback

Callback function pointer of WFG32 timer interrupt callback.

Definition at line 419 of file mft_wfg.h.

Referenced by Mft_Wfg_ConfigMode(), Mft_Wfg_DisableTimerInt(), and Mft_Wfg_EnableTimerInt().

func_ptr_t pfnWfg54TimerCallback

Callback function pointer of WFG54 timer interrupt callback.

Definition at line 420 of file mft_wfg.h.

Referenced by Mft_Wfg_ConfigMode(), Mft_Wfg_DisableTimerInt(), and Mft_Wfg_EnableTimerInt().

func_ptr_t pfnWfgAnalogFilterCallback

Callback function pointer of analog filter interrupt callback.

Definition at line 421 of file mft_wfg.h.

Referenced by Mft_Wfg_DisableDtifInt(), Mft_Wfg_EnableDtifInt(), and Mft_Wfg_IrqHandler().

func_ptr_t pfnWfgDigtalFilterCallback

Callback function pointer of analog filter interrupt callback.

Definition at line 422 of file mft_wfg.h.

Referenced by Mft_Wfg_DisableDtifInt(), Mft_Wfg_EnableDtifInt(), and Mft_Wfg_IrqHandler().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mft/mft_wfg.h